<?php
declare(strict_types=1);

namespace App\Framework\Filesystem\Exceptions;

use App\Framework\Exception\FrameworkException;

final class FileMetadataException extends FrameworkException
{
    public function __construct(string $path, ?\Throwable $previous = null)
    {
        parent::__construct("Konnte Metadaten für Datei '{$path}' nicht lesen", 0, $previous);
    }
}
